Functions
IT_Management
Peripheral Driver » LL Driver » SPI » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_spi_enable_it (spi_regs_t *SPIx, uint32_t mask)
| Enable interrupt. More...
__STATIC_INLINE void | ll_spi_disable_it (spi_regs_t *SPIx, uint32_t mask)
| Disable interrupt. More...
__STATIC_INLINE uint32_t | ll_spi_is_enabled_it (spi_regs_t *SPIx, uint32_t mask)
| Check if interrupt is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_spi_disable_it()

__STATIC_INLINE void ll_spi_disable_it | ( | spi_regs_t * | SPIx,
|  | uint32_t | mask
| ) |  |

Disable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

Register | BitsName
--- | ---
INTMASK | INTMASK

Parameters

  SPIx | SPI instance
  mask | This parameter can be one of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Return values

  None |

Definition at line 1270 of file gr55xx_ll_spi.h.

## ◆ ll_spi_enable_it()

__STATIC_INLINE void ll_spi_enable_it | ( | spi_regs_t * | SPIx,
|  | uint32_t | mask
| ) |  |

Enable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

Register | BitsName
--- | ---
INTMASK | INTMASK

Parameters

  SPIx | SPI instance
  mask | This parameter can be one of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Return values

  None |

Definition at line 1247 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_enabled_it()

__STATIC_INLINE uint32_t ll_spi_is_enabled_it | ( | spi_regs_t * | SPIx,
|  | uint32_t | mask
| ) |  |

Check if interrupt is enabled.

Register | BitsName
--- | ---
INTMASK | INTMASK

Parameters

  SPIx | SPI instance
  mask | This parameter can be one of the following values: LL_SPI_IM_MST(not effect in SPIS) LL_SPI_IM_RXF LL_SPI_IM_RXO LL_SPI_IM_RXU LL_SPI_IM_TXO LL_SPI_IM_TXE

Return values

  State | of bit (1 or 0).

Definition at line 1292 of file gr55xx_ll_spi.h.